## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 15;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           shybrid
Version:        0.4.3
Release:        %autorelease
Summary:        GUI for generating hybrid ground-truth spiking data

License:        GPL-3.0-or-later
URL:            https://github.com/jwouters91/shybrid
Source0:        %{pypi_source shybrid}
Source1:        shybrid.desktop

# Remove useless or unused shebang lines
# https://github.com/jwouters91/shybrid/pull/13
Patch:          %{url}/pull/13.patch

BuildArch:      noarch 

BuildRequires:  python3-devel

BuildRequires:  python3-matplotlib-qt5
Requires:       python3-matplotlib-qt5

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

%description
SHYBRID is a graphical user interface that allows for the easy creation of
hybrid ground truth extracellular recordings.


%prep
%autosetup -n shybrid-%{version} -p1
# Do not pin an exact version of PyQt5
sed -r -i 's/(PyQt5)==/\1>=/' setup.py
# These also have unnecesary shebangs, and were not included in PR#13
find examples -type f -name '*.py' -exec sed -r -i '1{/^#!/d}' '{}' '+'


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l hybridizer

desktop-file-install \
    --dir='%{buildroot}%{_datadir}/applications' \
    '%{SOURCE1}'


%check
%pyproject_check_import


%files -f %{pyproject_files}
%doc README.md
%doc examples/

%{_bindir}/shybrid
%{_datadir}/applications/shybrid.desktop


%changelog
## START: Generated by rpmautospec
* Mon May 20 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.3-15
- Package the examples as documentation

* Mon May 20 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.3-11
- Convert License to SPDX

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 04 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.3-9
- Assert a license file is automatically handled; don’t package a duplicate

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 27 2023 Python Maint <python-maint@redhat.com> - 0.4.3-6
- Rebuilt for Python 3.12

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 0.4.3-3
- Rebuilt for Python 3.11

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Dec 27 2021 Vanessa_kris <vanessaigwe1@gmail.com> - 0.4.3-1
- Initial import (#2031721).
## END: Generated by rpmautospec
